{% from "@Macro/Button.html.twig" import getButtonClass %}

{% set class %}
    {% block buttonClass '' %}
{% endset %}

<button
        {{ attributes.defaults({
            class: getButtonClass() ~ ' ' ~ class
        }) }}
>{% block content '' %}</button>